﻿@model Servidor.Models.DTOModelPartido
@{
    ViewBag.Title = "Index";
}

<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <title>Partido</title>
</head>
<body>



    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">Navbar</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-item nav-link" href="#">Partido</a>
                <a class="nav-item nav-link" href="#">Jugados</a>
            </div>
        </div>
    </nav>


    <div class="container">

        <h1 id="mensajeConfirmar">
            @*Hola Jugador @Model.Jugador.Nombre!*@
        </h1>
        <h1 id="mensajeConfirmado">
            Usted ya fue confirmado
        </h1>
        <hr />
        Fecha del partido :  @Model.FechaPartido

        <hr>
        <button type="button" class="btn btn-danger"
                id="btnConfirmar"
                onclick="ConfirmarJugador()">
            Confirmar
        </button>
        <hr>
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nombre</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var jugador in Model.Jugadores)
                {
                    <tr>
                        <th scope="row">@jugador.Id</th>
                        <td>@jugador.Nombre</td>
                    </tr>
                }

            </tbody>
        </table>

    </div>

    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    <script>
        var estaConfirmado = false;

        $(document).ready(function () {
            if (estaConfirmado) {
                document.getElementById("btnConfirmar").style.display = "none";
                document.getElementById("mensajeConfirmar").style.display = "none";
            }
            else {
                document.getElementById("mensajeConfirmado").style.display = "none";
            }

        });

        function ConfirmarJugador() {
            alert("Jugador confirmado, falta agregar a Table!");
        }

    </script>


</body>
</html>


